Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07808 Sound Minor Always Dec 4, 2020, 21:34 Dec 6, 2020, 17:52
Tester joemagiera View Status Public Platform MAME (Official Binary)
Assigned To Tafoid Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver bwidow.cpp
Version 0.226 Fixed in Version 0.227 Build 64-bit
Fixed in Git Commit Github Pull Request #
Summary 07808: spacduel, spacduel0, spacduel1: Sounds missing (MAME not invoking second pokey?)
Description According to the Atari manual, in the sound self test screen, you should hear 4 sounds, with a high and a low for each sound, for a total of 8 sounds. The manual says one pokey is used for the 4 high tones and the other pokey is used for the 4 low tones.

In MAME, you only get 4 tones, all 4 high tones. It appears that MAME is not invoking the second pokey.

I tried this on the current MAME release (.226) for all three Space Duel ROMsets. Happens every time.

On my real game, I made a recording:
&feature=youtu.be

I only get 7 tones. In my game, it appears that the first low tone is missing. This could be a case of I have a board problem or it really only does produce 7 tones, even though the manual says 8. Either way, you can clearly hear at least 7 tones, where in MAME you only hear 4
Steps To Reproduce 1) Start up Space Duel (any version)
2) Turn self-text dip switch on.
3) Press 1 & 2 at the same time on your keyboard, when the screen says hit start and select to go into self test
4) Hit 9 on your keyboard to proceed through the self-test screens until you get to the sound self test (a box that reduces in size as it plays each tone)
5) Listen to the missing sounds (hmmm... how do you listen to something that isn't there?).
Additional Information
Github Commit
Flags
Regression Version 0.79
Affected Sets / Systems spacduel, spacduel0, spacduel1
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.18215
Tafoid
Administrator
Dec 5, 2020, 06:40
Sadly, the attached files are .ini files and not .wav files.
Anyway, there is no need to record MAME as it fairly obvious.

I'll be doing some research on this
User avatar
No.18216
Osso
Developer
Dec 5, 2020, 06:58
Putting the two Pokeys at 0x1300-0x13ff and 0x1400-0x14ff makes the sound test correct (8 tones) but then in game there's no shoot sound. It seems the game writes to three ranges.
User avatar
No.18219
Tafoid
Administrator
Dec 5, 2020, 13:19
It is complicated, but I think I've found the regression (way way back in 2003/2004 timeframe).
Just have more testing to do to make sure things are ok.
User avatar
No.18220
Tafoid
Administrator
Dec 5, 2020, 14:42
The mapping was the right idea.
I did some binary testing and traced it between 0.78u6 and 0.79 and checked the .diff to determine the address length was not accounted for correctly.
This should be fixed with https://github.com/mamedev/mame/commit/1fa29c1f7830e35b8864d52fa21a215156eec2a5
User avatar
No.18222
joemagiera
Tester
Dec 6, 2020, 17:52
Just an FYI, those ini files I attached were just the names of the recorded MAME sessions. They played back fine in MAME using the -playback option.